package com.ruoyi.system.domain.dto;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

public class OrderListDto {
    private Long orderId;

    private Long userId;

    private String nickName;
    private String phonenumber;



    private LocalDateTime createTime;

    private LocalDateTime startTime;
    private LocalDateTime endTime;

    private String orderInfoId;

    private Long money;

    private Long refund;
    private String way;
    private String orderDetail;

    // 订单状态
    private String status;

    // 作品状态
    private String workStatus;

    private String avatar;

    // 剩余时间
    private String remainTimeString;

    private List<OrderInfoDto> orderInfoList;



    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getStartTime() {
        return startTime;
    }

    public void setStartTime(LocalDateTime startTime) {
        this.startTime = startTime;
    }

    public LocalDateTime getEndTime() {
        return endTime;
    }


    public void setEndTime(LocalDateTime endTime) {
        this.endTime = endTime;
    }

    public String getOrderInfoId() {
        return orderInfoId;
    }

    public void setOrderInfoId(String orderInfoId) {
        this.orderInfoId = orderInfoId;
    }

    public Long getMoney() {
        return money;
    }

    public void setMoney(Long money) {
        this.money = money;
    }

    public Long getRefund() {
        return refund;
    }

    public void setRefund(Long refund) {
        this.refund = refund;
    }

    public String getWay() {
        return way;
    }

    public void setWay(String way) {
        this.way = way;
    }

    public String getOrderDetail() {
        return orderDetail;
    }

    public void setOrderDetail(String orderDetail) {
        this.orderDetail = orderDetail;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<OrderInfoDto> getOrderInfoList() {
        return orderInfoList;
    }

    public void setOrderInfoList(List<OrderInfoDto> orderInfoList) {
        this.orderInfoList = orderInfoList;
    }

    public Long getUserId() {
		return userId;
	}

    public void setUserId(Long userId) {
		this.userId = userId;
	}

    public String getNickName() {
		return nickName;
	}

    public void setNickName(String nickName) {
		this.nickName = nickName;
	}

    public String getPhonenumber() {
		return phonenumber;
	}

    public void setPhonenumber(String phonenumber) {
		this.phonenumber = phonenumber;
	}

    public String getAvatar() {
		return avatar;
	}

    public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

    public String getWorkStatus() {
		return workStatus;
	}

    public void setWorkStatus(String workStatus) {
		this.workStatus = workStatus;
	}

    public String getRemainTimeString() {
		return remainTimeString;
	}

    public void setRemainTimeString(String remainTimeString) {
		this.remainTimeString = remainTimeString;
	}



}
